Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.domino
Class ContactFilter

    java.lang.Object
      com.compoze.domino.AbstractFilter
          com.compoze.domino.ContactFilter

All Implemented Interfaces:
  java.io.Serializable

public class ContactFilter
extends AbstractFilter
implements java.io.Serializable

This class represents a contact filter. A contact filter is used to search for contacts within the address book by specific properties.

See Also:
  `Documents.serverGetContacts(int,int,PropertyKey[],SortProperty,ContactFilter)`, Serialized Form

Field Summary

Fields inherited from class com.compoze.domino.AbstractFilter
`m_filters, m_rules`

Constructor Summary
`ContactFilter()` Constructor.

Method Summary
`void` | `appendFilter(ContactFilter filter, boolean bOr)` Appends the specified filter to this filter.
`java.util.List` | `getFilters()` Gets a list of filters appended to this filter.
`protected com.compoze.domino.filter.IFilterRule` | `getFormRule()` Gets the form rule for this filter.
`static void` | `main(java.lang.String[] args)` Main.
`void` | `removeFilter(ContactFilter filter)` Removes the specified filter from this filter.
`void` | `setBeginsCompanyName(java.lang.String sBeginsString)` Sets the filtering by company name beginning character.
`void` | `setBeginsFirstName(java.lang.String sBeginsString)` Sets the filtering by first name beginning character.
`void` | `setBeginsLastName(java.lang.String sBeginsString)` Sets the filtering by last name beginning character.
`void` | `setCompanyName(java.lang.String sValue)` Sets the filtering by company name.
`void` | `setCompanyName(java.lang.String sValue, boolean bExact)` Sets the filtering by company name.
`void` | `setEmailAddress(java.lang.String sValue)` Sets the filtering by email address name.
`void` | `setEmailAddress(java.lang.String sValue, boolean bExact)` Sets the filtering by email address.
`void` | `setFirstName(java.lang.String sValue)` Sets the filtering by first name.
`void` | `setFirstName(java.lang.String sValue, boolean bExact)` Sets the filtering by first name.
`void` | `setLastName(java.lang.String sValue)` Sets the filtering by last name.
`void` | `setLastName(java.lang.String sValue, boolean bExact)` Sets the filtering by last name.
`void` | `unsetBeginsCompanyName()` Unsets the filtering by company name beginning character.
`void` | `unsetBeginsFirstName()` Unsets the filtering by first name beginning character.
`void` | `unsetBeginsLastName()` Unsets the filtering by last name beginning character.
`void` | `unsetCompanyName()` Unsets the filtering by company name.
`void` | `unsetEmailAddress()` Unsets the filtering by email address.
`void` | `unsetFirstName()` Unsets the filtering by first name.
`void` | `unsetLastName()` Unsets the filtering by last name.

Methods inherited from class com.compoze.domino.AbstractFilter
`getBaseRule, getFilterRule, getFilterRule, getOr, setBeginsStringRule, setDateRule, setNotRule, setOr, setRule, setRule, setRule, toRule, toString, unsetBeginsStringRule, unsetNotRule`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContactFilter

    public ContactFilter()

  Constructor.

Method Detail

### setBeginsFirstName

    public void setBeginsFirstName(java.lang.String sBeginsString)

  Sets the filtering by first name beginning character. The rule tests if the first name begins with the specified string. The match is not case sensitive.

  Parameters:
    `sBeginsString` - the beginning string to check for

### unsetBeginsFirstName

    public void unsetBeginsFirstName()

  Unsets the filtering by first name beginning character.

### setBeginsLastName

    public void setBeginsLastName(java.lang.String sBeginsString)

  Sets the filtering by last name beginning character. The rule tests if the last name begins with the specified string. The match is not case sensitive.

  Parameters:
    `sBeginsString` - the beginning string to check for

### unsetBeginsLastName

    public void unsetBeginsLastName()

  Unsets the filtering by last name beginning character.

### setBeginsCompanyName

    public void setBeginsCompanyName(java.lang.String sBeginsString)

  Sets the filtering by company name beginning character. The rule tests if the company name begins with the specified string. The match is not case sensitive.

  Parameters:
    `sBeginsString` - the beginning string to check for

### unsetBeginsCompanyName

    public void unsetBeginsCompanyName()

  Unsets the filtering by company name beginning character.

### setFirstName

    public void setFirstName(java.lang.String sValue)

  Sets the filtering by first name. The rule tests the first name for the specified value. The match is not exact by default.

  Parameters:
    `sValue` - the value to test
  See Also:
    `setFirstName(String, boolean)`

### setFirstName

    public void setFirstName(java.lang.String sValue,
                             boolean bExact)

  Sets the filtering by first name.

  Parameters:
    `sValue` - the value to test
    `bExact` - `true` for an exact match of the string value; `false` to match as substring value

### unsetFirstName

    public void unsetFirstName()

  Unsets the filtering by first name.

### setLastName

    public void setLastName(java.lang.String sValue)

  Sets the filtering by last name. The rule tests the last name for the specified value. The match is not exact by default.

  Parameters:
    `sValue` - the value to test
  See Also:
    `setLastName(String, boolean)`

### setLastName

    public void setLastName(java.lang.String sValue,
                            boolean bExact)

  Sets the filtering by last name.

  Parameters:
    `sValue` - the value to test
    `bExact` - `true` for an exact match of the string value; `false` to match as substring value

### unsetLastName

    public void unsetLastName()

  Unsets the filtering by last name.

### setCompanyName

    public void setCompanyName(java.lang.String sValue)

  Sets the filtering by company name. The rule tests the company name for the specified value. The match is not exact by default.

  Parameters:
    `sValue` - the value to test
  See Also:
    `setCompanyName(String, boolean)`

### setCompanyName

    public void setCompanyName(java.lang.String sValue,
                               boolean bExact)

  Sets the filtering by company name.

  Parameters:
    `sValue` - the value to test
    `bExact` - `true` for an exact match of the string value; `false` to match as substring value

### unsetCompanyName

    public void unsetCompanyName()

  Unsets the filtering by company name.

### setEmailAddress

    public void setEmailAddress(java.lang.String sValue)

  Sets the filtering by email address name. The rule tests the email address for the specified value. The match is not exact by default.

  Parameters:
    `sValue` - the value to test
  See Also:
    `setEmailAddress(String, boolean)`

### setEmailAddress

    public void setEmailAddress(java.lang.String sValue,
                                boolean bExact)

  Sets the filtering by email address.

  Parameters:
    `sValue` - the value to test
    `bExact` - `true` for an exact match of the string value; `false` to match as substring value

### unsetEmailAddress

    public void unsetEmailAddress()

  Unsets the filtering by email address.

### appendFilter

    public void appendFilter(ContactFilter filter,
                             boolean bOr)

  Appends the specified filter to this filter.

  Parameters:
    `filter` - the filter to append
    `bOr` - `true` to append this filter with an 'or'; `false` to use 'and'

### removeFilter

    public void removeFilter(ContactFilter filter)

  Removes the specified filter from this filter.

  Parameters:
    `filter` - the filter to remove

### getFilters

    public java.util.List getFilters()

  Gets a list of filters appended to this filter.

  Returns:
    a list of `ContactFilter` objects (unmodifiable)

### getFormRule

    protected com.compoze.domino.filter.IFilterRule getFormRule()

  Description copied from class: `AbstractFilter`
  Gets the form rule for this filter.

  Specified by:
    `getFormRule` in class `AbstractFilter`
  Returns:
    the form rule

### main

    public static void main(java.lang.String[] args)

  Main.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.